blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
3d6cae0c175a83e8bc5bb2c262ab0ec9efa536e8 | 130 | #ls
#python rabstar.py schema
python rabstar.py "select * from startup where twitter like %coin%"
#python rabstar.py ranking 700
|
6db2bd22c9ea177a5dd52f1a5c4f442ce96e77ff | 86 | #!/bin/sh
# TEST : Duplicated line followed by partial line
. ./common.sh
_test "$1"
|
85853147758711bee3938d250a6d9099d2231c07 | 676 | #!/bin/sh
outbound=`cat bwbar/outbound.txt |cut -c30-37|awk '{print int($1+0.5)}'`
inbound=`cat bwbar/inbound.txt |cut -c30-37|awk '{print int($1+0.5)}'`
#outbound=10.5
#inbound=120.5
if [ -z "$outbound" ] || [ -z "$inbound" ]; then
echo "No valid data found, exiting..."
exit 1;
fi
echo "Outbound: $outbound - I... |
1702efd8573703148633ff711ab089252992cc8b | 110 | #!/bin/bash
# yaoguais <newtopstdio@163.com>
# build the docker image
docker build -t yaoguais/devel:1.0.0 .
|
dfd8d1266d14b2a988f5c8d11249be179bd4c7da | 360 | #!/bin/sh
if [ $# -ne 4 ]; then
echo "argument count is $#" 1>&2
echo "type wordpress root oldpath newpath olddb newdb"
exit 1
fi
OLDPATH=$1
NEWPATH=$2
OLDDB=$3
NEWDB=$4
sed -i -e "s:/$OLDPATH/:/$NEWPATH/:g" .htaccess
rm .htaccess-e
sed -i -e "s|define('DB_NAME', '$OLDDB');|define('DB_NAME', '$NEWDB')... |
992b183864228f7af957b478cea7b5bf894f87d8 | 648 | #!/bin/bash
testFile=$1
echo $testFile
rm input.txt
python pagerank_map.py < "../rankmaniac-lib/local_test_data/$testFile" | sort | python pagerank_reduce.py |
python process_map.py | sort | python process_reduce.py > input.txt
for i in $(seq 1 49); do
python pagerank_map.py < input.txt | sort | python pagerank... |
89aab9985e6b55ef8f00b607c35a88e5d88cee89 | 9,248 | #! /bin/sh
#------------------------------------------------------------------------------
#
# postgresql-- a wrapper script of pg_ctl
#
# - NOTE: If you use pg_bulkload, you must use this script instead of pg_ctl.
# + This script calls our own recovery process solving clash while data is
# loaded with p... |
3a1cc3f197bd7cbcc28d10220f8acf1dc63da01d | 36 | #!/bin/bash
exec /bin/login -f root
|
ed5eba82bf213484cda6cd658ed02ce036711854 | 357 | #!/bin/bash
sudo yum-config-manager --disable rhel-7-server-openstack-9-rpms
sudo yum-config-manager --disable rhel-7-server-openstack-9-director-rpms
sudo yum-config-manager --disable rhel-7-server-rhceph-1.3-osd-rpms
sudo yum-config-manager --disable rhel-7-server-rhceph-1.3-mon-rpms
sudo yum-config-manager --disable... |
399d3d3ea476263cab379b7804e5358912285657 | 770 | #!/bin/bash
#让bash可以自动补全auxiliary工具参数,这脚本在install命令下会运行,也可以手动执行
_auxiliary()
{
COMPREPLY=()
local cur=${COMP_WORDS[COMP_CWORD]};
local cmd=${COMP_WORDS[COMP_CWORD-1]};
first_cmd="build install debug redebug project"
case $cmd in
'./linux_cmake_template_auxiliary.sh')
COMPREPLY=( $(compgen -W... |
7228e1d330cc46513698052408c9263339ca6c65 | 1,355 | #!/bin/bash
SRV="http://127.0.0.1:"$1
# To show the link on terminal
show_link() {
while [ true ]; do
# check whether the host is up or not
if [ "`wget $SRV -O /dev/null -S --quiet 2>&1 | grep '200 OK'`" != "" ]; then
# If is up the show the link
printf "\e[1;92m[\e[0m*\e[1;92m] Juice-Shop ;) :\e[0m\e[1;77m %s\e[0m... |
a1603a91cebfacece8076a39f9e77178ab94f1c9 | 153 | echo "begin to decomplie dir: $@"
HOME=`dirname $0`
echo "Home: $HOME"
java -cp $HOME:$HOME/cfr-0.139.jar:$HOME/perfma-decompiler.jar com.perfma.Main $@
|
4de4c60e292b1959809cf80a1c82bf00b196f855 | 20 | rcSetup Base,2.4.27
|
d4cbefb50c59e44978bfaed679490c57d1dcc74c | 87 | #! /bin/sh
python2.7 create_driver_data.py 1c4c5d3e-71cc-4917-9989-51f98bd63e61
exit 0
|
6520106de92da6b76019162f39f27e09aacc7af6 | 507 | #!/usr/env/bin bash
# File: guessinggame.sh
function check_response {
read response
local num_files_in_dir="$(ls -h | wc -l)"
while [[ $response -ne $num_files_in_dir ]]
do
if [[ $response -lt $num_files_in_dir ]]
then
echo "Your guess was too low"
else
echo "Your guess was too high"
fi
ec... |
619b10251a68fdaec24aaa50bc4b5e091fc22ccd | 859 |
if [ $EUID -ne 0 ]; then
echo 'This script must be run as root...'
exit 1
fi
if [ -z $1 ] || [ -z $2 ]; then
echo 'You need to pass MongoDB username and password for the app to connect:'
echo ' ./build.sh <username> <password>'
exit 1
fi
# Builds a docker image for PayStubs
main() {
e... |
836bce0957c07deca05e26dcf81b07e5c1745f43 | 691 | #!/bin/bash
# Get authentication token stored in OCI vault
auth_token=`oci secrets secret-bundle get --secret-id ${secret_id} --stage CURRENT | jq ."data.\"secret-bundle-content\".content" | tr -d '"' | base64 --decode`
# Get tenancy name
#tenancy_name=`oci iam tenancy get --tenancy-id $tenancy_id | jq ."data.name... |
1876c3a17ed335456ac64fd12a18cd7a27c351bd | 18 | echo "I am v6757"
|
dbac02151d27ca5182d55c6bcc353f7a33f653d1 | 1,019 | #!/bin/bash
set -eo pipefail
usage()
{
echo "Missing arguments. Usage: $0 -v <keyVault name> -c <Cert name>"
exit 1;
}
while getopts ":c:v:s:" o; do
case "${o}" in
c)
CERT_NAME=${OPTARG}
;;
v)
KEYVAULT_NAME=${OPTARG}
;;
s)
... |
67bffa614d183b2b5da48fcf37cb1b0af1c512a6 | 2,000 | #!/bin/bash
# Utility to artificially adjust the spacing of trees
export readonly name=$( basename $0 )
source $( type -p comma-application-util ) || (error "comma not installed")
function errcho { (>&2 echo "$name: $1") }
function error
{
errcho "error: $1"
exit 1
}
function go() {
# Input... |
7e4f01ddf87b4146335897d551165b8a8aa95aa5 | 1,486 | #!/bin/bash
#
# The webhook was triggered. Clone the configured Ansible repository and run the playbook.
set -euo pipefail
# Collect configuration values and set defaults.
REPO=${HEATLAMP_ANSIBLE_REPO:-}
BRANCH=${HEATLAMP_ANSIBLE_BRANCH:-master}
PLAYBOOK=${HEATLAMP_ANSIBLE_PLAYBOOK:-site.yml}
AMODULES=${HEATLAMP_AN... |
c2441ab797a1c1f9aade33e9bfdf105cf4bb2437 | 248 | benchmarks="sum geometric-series trig array-sum"
for dtype in float64 float32;
do
for benchmark in $benchmarks;
do
make plot outputdir=data/${benchmark}_${dtype} dtype=${dtype} benchmark=$benchmark
done
done
|
a1dff0912919ce9008d34e288be66bfa40c14a8e | 50 | #!/bin/bash
(./restartDiscord.sh &>/dev/null &) &
|
c8e903b02d1fda2fc0670667cda3abc21094cbc8 | 286 | #!/bin/bash
set -x -e
# adapted from recipes/blast/run_test.sh
TMPDIR=$(mktemp -d)
trap "rm -rf $TMPDIR" 0 INT QUIT ABRT PIPE TERM
cp test*.fa test*.sam $TMPDIR
cd $TMPDIR
#bbmap.sh in=test.fa ref=testdatabase.fa out=result.sam nodisk
#diff <(tail -2 result.sam) testexpected.sam
|
d3edfc71175cd79baca23b284c70556cddb24c39 | 124 | ClientID="168385824265-o9va84idfhenn4ea01hq59r0r1hld8ft.apps.googleusercontent.com"
ClientSecret="cnE8sM3OESvBIQ6wW7U8pMyd"
|
455817f95721c7a0c546f58ba44e46a77d5044b7 | 214 | #!/usr/bin/env bash
set -euo pipefail
IFS=$'\n\t'
for instance in $(./ssh.list.sh | jq -r '.n'); do
gcloud --project golang-web-dev-227919 compute ssh --zone europe-west2-a "$instance" -- ./gce.bounce.sh
done
|
b7f33fa99b63843d1d878f439b810540595dbf87 | 2,721 | #!/bin/bash
set -e # Make sure any error makes the script to return an error code
MRPT_DIR=`pwd`
BUILD_DIR=build
CMAKE_C_FLAGS="-Wall -Wextra -Wabi -O2"
CMAKE_CXX_FLAGS="-Wall -Wextra -Wabi -O2"
EXTRA_CMAKE_ARGS="-DDISABLE_PCL=ON" # PCL causes link errors (?!)
function prepare_install()
{
apt-get install build-... |
2c7f41f14727e425b822c130b156b6f7d034b7c0 | 2,460 | #!/usr/bin/env bash
# Copyright 2021 The ShaderTrap Project Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... |
70a43d50749f9f23f1697abb6ae5f660d4265765 | 88 | #!/bin/bash
. /usr/local/Reductor/etc/const
main() {
show_msg "$msg"
$BINDIR/menu
}
|
a9d7aca18c8e80edd0a781e03feab872e8ccc8fd | 123 | #!/bin/bash
pandoc -s -o slides.html -t dzslides --normalize --mathml --no-highlight --tab-stop=2 --data-dir=. slides.md
|
56af1f9e2be8fd758a1ac68f5ec2f9c243460348 | 509 | #!/usr/bin/env sh
echo 'Commits'
git log --pretty=format:'' | wc -l
echo 'Contributors'
git log --pretty=short --no-merges | git shortlog -ne | egrep -ve '^ +' | egrep -ve '^$' | wc -l
echo 'Resolved bugs/feature requests'
egrep -e '^\*' History.md | wc -l
echo 'Open tickets'
curl -s https://api.github.com/repos/cu... |
b9224b519c9a8e21c56570040c7530bb6a334bd9 | 817 |
#!bin/bin/bash
#Diretorio do qual se encontra o programa que aplica o zero crossings nos vetores de dados
programa="/home/lucas/Documentos/Projetos/seizure_epilepsy_prediction/zero_crossings"
cd Dados
pwd
for pasta in chb**
do
echo entrando na pasta: $pasta
cd $pasta
for pasta1 in chb*_*
do
echo... |
e0ae6dd4498ec1c9c49291937c5bb76e065ba221 | 10,516 | #!/bin/sh
process()
{
install_date="zabbix_install_$(date +%Y-%m-%d_%H:%M:%S).log"
printf "
#######################################################################
# 欢迎使用Zabbix离线一键部署脚本 #
# 脚本适配环境CentOS7+/Radhat7+、内存1G+ #
# 避免软件包产生冲突建议使用纯净的操作系... |
b142b819066a93ee66c6c5a0308957657d95334b | 497 | rm -rf build
mkdir build
cd build
avr-gcc -g -Os -Wall -Wextra -pedantic -mmcu=atmega328p \
-I../inc/ -c ../src/utils.c ../src/timer_8b.c ../src/timer_16b.c \
../src/int.c ../src/gpio.c ../src/usart.c ../src/frame_receiver.c \
../src/main.c \
$@
avr-gcc -g -mmcu=atmega328p -o main.elf utils.o timer_8b.o... |
806f5ae5df7c93e4bb889a830bf88a4d17b43482 | 86 | #!/bin/bash
i=1
while [ $i -le 10 ]
do
echo "$i"
i=`expr $i + 1`
done
|
19e0ca707eff18d8715b457962992cca938756f3 | 149 | #!/bin/bash
while ./sleep_until_modified.sh $1.dot ; do neato -Grankdir=LR -Goverlap=compress -Gmodel=subset -Gsep=+0.05 -Tsvg $1.dot -o$1.svg; done
|
3d2a130cd52cffd157ef64b9771d352676c3e133 | 439 | #!/bin/bash
set -e
echo `service mysql status`
echo '1.mysql start....'
service mysql start
sleep 3
echo `service mysql status`
echo '2.import data....'
mysql < /mysql/schema.sql
echo '3.over ....'
sleep 3
echo `service mysql status`
echo '4.begin change password....'
mysql < /mysql/privileges.sql
echo '5... |
ba46de2c8ec2f0c041c1d5298dffb254aa56967c | 618 | #!/usr/bin/env bash
source /bootstrap/functions.sh
get_environment
echo $RABBIT_COOKIE > /var/lib/rabbitmq/.erlang.cookie
chown rabbitmq:rabbitmq /var/lib/rabbitmq/.erlang.cookie
chmod 400 /var/lib/rabbitmq/.erlang.cookie
rabbitmq-server -detached
sleep 6
rabbitmqctl add_user $RABBIT_USERID $RABBIT_PASSWORD
rab... |
5ddadc0e433f174bef18e57946eaa48f7f7c831d | 6,690 | #!/usr/bin/env bash
set -ex
# Generate unioned_ehr dataset
# Loads vocabulary from specified dataset and unioned EHR tables from specified dataset
USAGE="
Usage: generate_unioned_ehr_dataset.sh
--key_file <path to key file>
--vocab_dataset <vocab dataset>
--ehr_snapshot <EHR dataset>
--dataset_release_tag <r... |
d8be0bf2493c5ebbf6e9f678295a0b0ec0d1803f | 370 | #!/usr/bin/env bash
npm init -y
# webpack
npm i -D webpack webpack-cli
npm i -D copy-webpack-plugin
# protobuf
npm i -D protobufjs
# webworker
npm i -D worker-loader
# babel
npm i -D @babel/core babel-loader @babel/preset-env @babel/preset-react @babel/register
# React
npm i -D react react-dom
# chart
npm i -D ch... |
0349ab1a09b7c4bc3e7adff84c3a8fe29ffba902 | 194 | #!/usr/bin/env bash
env=$1
script_dir=$2
creds_file=$3
python2 $script_dir/check_workflows.py -cromwell_url "https://cromwell.mint-${env}.broadinstitute.org" -cromwell_credentials $creds_file
|
e6cefeb549c277c02eb16613b15bbeb492dbc5f6 | 1,799 | #!/usr/bin/bash
# run command
/usr/share/openvswitch/scripts/ovs-ctl start
ovs-vsctl add-br br-int
ovs-vsctl add-br br-tun
{% if neutron.bridge_mappings is defined %}
{% for bridge in neutron.bridge_mappings %}
ovs-vsctl add-br {{ bridge | regex_replace('.*:(.*)', '\\1') }}
{% endfor %}
{% endif %}
{% if neutron.br... |
19b52e774a61959ac907fa4e03ded23753045e2c | 226 | #!/bin/bash
readonly DOC_ROOT=$(cd $(dirname ${BASH_SOURCE:-$0})/..; pwd)
readonly SOURCE_ROOT=$DOC_ROOT/ExperimentalApp
if ! type -a xcodegen >/dev/null ; then
echo "Required: xcodegen" >&2
fi
cd $SOURCE_ROOT
xcodegen
|
ef96691174d11b197258c440efa58d5823f28e72 | 67 | #!/bin/sh
set -eu
echo $(git branch | grep '^*' | cut -d' ' -f2)
|
d6fc257f8f4132e8fa195bc60169b60346ada851 | 177 | #!/bin/bash
echo "# Hostname"
name=$1
sudo bash -c "cat >>/etc/hosts <<EOL
127.0.0.1 $name
"
sudo hostnamectl --static set-hostname $name
sudo /etc/init.d/hostname.sh restart
|
81a0aa1ab94f68edb4f28e5f6edba6fe4054cce1 | 326 | #!/bin/bash
url=http://api.route4me.com/api.v4/order.php
apikey=11111111111111111111111111111111
# The example refers to the process of getting specified custom fields of all Orders.
fields="order_id,member_id"
curl -o file1.txt -X GET "$url?api_key=$apikey&fields=$fields&offset=0&limit=20"
echo "Finished..."
sle... |
e36d8bc4343c196739650c68c258138d9366ac25 | 229 | #!/bin/sh
rm /Users/Jacob/Desktop/G09Output/GCis-NTO-St2-Particle-0-1.png
povray +A0.3 -UV +W938 +H652 +I/Users/Jacob/Desktop/G09Output/GCis-NTO-St2-Particle-0-1.pov +O/Users/Jacob/Desktop/G09Output/GCis-NTO-St2-Particle-0-1.png
|
695b3596115cf45b18a439895ce9068aa05c4a9b | 163 | #!/bin/sh -eux
ub_replace automake-1.15 automake-1.16 autogen.sh
ub_replace aclocal-1.15 aclocal-1.16 autogen.sh
ub_compile \
--enable-gegl \
--enable-glib
|
10f40243a7af099b39fb282e8638167128aa6344 | 668 | if ! [[ "18.04 20.04 22.04" == *"$(lsb_release -rs)"* ]];
then
echo "Ubuntu $(lsb_release -rs) is not currently supported.";
exit;
fi
sudo su
curl https://packages.microsoft.com/keys/microsoft.asc | apt-key add -
curl https://packages.microsoft.com/config/ubuntu/$(lsb_release -rs)/prod.list > /etc/apt/sources... |
91c5b0db9bc3d54f14b6532ba9ecb52f6f8fb295 | 151 | #!/bin/bash
BIN=$1
OUTDIR=$2
TIMEOUT=$3
INDIR=$4
#No result
timeout -k 9 ${TIMEOUT}s $BIN 127.0.0.13 /etc/hosts &>$OUTDIR/o4
echo "$?" >>$OUTDIR/o4
|
d77112bfb1660d35372b408518de5592e820c236 | 446 | #!/bin/bash
#echo "USAGE: $0 thread_num data_size attack_num sleep_space"
thread=9
attack=4
data=20000000
frequent=0
while [ $thread -le 20 ]
do
frequent=0
# while [ $frequent \< 0.1 ]
while [ $(echo "$frequent < 0.1" | bc) = 1 ]
do
frequent=`echo "scale=3;$frequent + 0.01" | bc`
#frequent=$(($frequent*10.0... |
1b042b8ab7c9819d70e1c0c5d7f0103933fc898e | 1,080 | alias gitx='gitx --all'
alias ruby='ruby -rubygems'
alias be='bundle exec'
alias wip='bundle exec cucumber -p wip'
alias npm-reinstall="rm -rf node_modules/ && npm cache clean && npm install"
alias redis-start="redis-server /usr/local/etc/redis.conf"
alias postgres-start="postgres -D /usr/local/var/postgres"
# https:... |
b0f95e26fe80bd79c6d35efadd28ff8f481793f3 | 220 | sudo curl -sSL https://dl.bintray.com/emccode/rexray/install | sh -
sudo tee -a /etc/rexray/config.yml << EOF
rexray:
logLevel: warn
storageDrivers:
- ec2
aws:
accessKey: MyAccessKey
secretKey: MySecretKey
EOF
|
0107c712c0325ae3e9a1e76bffec18fedc5f6ea0 | 1,519 | #!/bin/sh -
# $Id$
#
# Copyright (C) 2009-2010 Internet Systems Consortium ("ISC")
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS... |
6a8d047e5d0dd1a5b49610ac93bc53312c712a1b | 324 | echo -e "[master]
debian-master ansible_host=192.168.121.1 ansible_user=pankaj
[jenkins]"|sudo tee /etc/ansible/hosts
count=1;for i in `vagrant ssh-config|grep -E '\w+\.\w+\.\w+\.\w+'|awk '{ print $2}'`;do echo jenkins$count ansible_host=$i ansible_user=vagrant;count=$(( $count + 1 ));done |sudo tee -a /etc/ansible/ho... |
14d35f4200ebee292a8a1be9d04828ffe319fd04 | 1,605 | #!/usr/bin/env bash
# Run this script to setup your development environment.
echo "...."
TOP=$(cd $(dirname $0) && pwd -L)
if [ "$(id -u)" == "0" ]; then
echo "This script should not be run as root. " 1>&2
exit 1
fi
echo "Hello developer! Let's get you setup! :)"
brew install node
sudo npm install --no-optio... |
25e818e7b92fdd48e115fdde767a8aa96d833745 | 290 | if [ -z `which spotify` ];
then
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys D2C19886
echo deb http://repository.spotify.com stable non-free | sudo tee /etc/apt/sources.list.d/spotify.list
sudo apt-get update
sudo apt-get install spotify-client
fi
|
4a6c31ea3db4637b5df3c533eccf711834fa8f3d | 663 | #!/bin/bash
#curl --user arvind.kumar@hpe.com:Noki@e63 https://cmxsso-us.connected.com/auth/realms/CMX/tokens/login?client_id=CMX_App
#java -jar /home/nagios/cmx-tools-synthetic-tran-3.2.3.3-jar-with-dependencies.jar -emailaddress arvind.kumar@hpe.com -url https://cmx-us.connected.com:443 -scenario uploadBackup -appM... |
a55004dcd45ae5dca51244f70e77d765b01d8988 | 2,211 | #!/bin/sh
# Create disk image for a virtual machine, with a basic Debian system
# suitable for installing the PhysioNet test server
set -e
IMAGE=physionet-test.img
IMAGE_SIZE=20G
IMAGE_FORMAT=qcow2
INSTALLER_IMAGE=$(ls -v debian-11.*.*-amd64-netinst.iso | tail -1)
INSTALLER_KERNEL=install.amd/vmlinuz
INSTALLER_INITR... |
4c6149a11458480550cbb855b24e8d24d5d91259 | 1,096 | #!/bin/bash
set -e
data=data
exp=exp
nj=20
. utils/parse_options.sh
mkdir -p $exp
ckpt_dir=./data/model
model_dir=$ckpt_dir/asr1_chunk_conformer_u2pp_wenetspeech_static_1.3.0.model/
aishell_wav_scp=aishell_test.scp
text=$data/test/text
./local/split_data.sh $data $data/$aishell_wav_scp $aishell_wav_scp $nj
utils/r... |
10772419f7dd5437d49ecb824c8b7ab6996dd21b | 1,719 | #!/bin/bash
# get-makefile-vars
#
# Copyright 2017 Edward Wang <edward.c.wang@compdigitec.com>
#
# Get the expanded variable definitions from a Makefile.
#
# Usage:
# make <...> -pn | get-makefile-vars -
set -e
# The file containing the make -pn results.
if [[ $1 == "-" ]]; then
in_data=/dev/stdin
else
in_data=$1... |
f1686fb3fa28eacdcda9789ac76c03419c9269c0 | 232 | #!/bin/bash
set -e
[[ -n $1 ]] || ( echo "Usage: install [vim] [tmux] [zsh]";exit )
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
cd $DIR
for app in $@;do
set -x
source ./$app-start.sh
set +x
done
|
e7761dc2e4ce826877fbfffaab890f4d47a5dc4b | 139 | g++-4.8 -std=c++11 -O2 -Wall -Wno-unused-variable -pedantic main.cpp && ./a.out <<<"mike m thomas m elayne f puck o hector o troy m olly f" |
77c14da63b0aa59d9ca2dac274141729db1a825b | 2,708 | #!/bin/bash
#
# Top-level script that runs all components of the end-to-end
# system
#
# Just run 'polycc <C code>' when the program section to
# be parallelized/optimized around special comments as described
# in the `README'
#
# Copyright (C) 2007-2008 Uday Bondhugula
#
# This file is available under the MIT license.... |
dd7814b8be29faeb9f5e3ec2d9e4e7d8996977b4 | 563 | python ../machine_learning/baseline_tests.py --validation_iterations=50 --action_arg=-1;
wait ;
python ../machine_learning/baseline_tests.py --validation_iterations=50 --action_arg=0;
wait ;
python ../machine_learning/baseline_tests.py --validation_iterations=50 --action_arg=1;
wait ;
python ../machine_learning/baselin... |
f15daac8831c14c21e87b652a5b18d5125197188 | 1,128 | # set color variables
RESET="\[\033[0m\]"
BOLD="\[\033[1m\]"
K="\[\033[30m\]" # blaK
R="\[\033[31m\]" # Red
G="\[\033[32m\]" # Green
Y="\[\033[33m\]" # Yellow
B="\[\033[34m\]" # Blue
M="\[\033[35m\]" # Magenta
C="\[\033[36m\]" # Cyan
W="\[\033[37m\]" ... |
68c084fa6f8507c5add247d369315ba9eb6446a9 | 1,595 | #!/bin/bash
if [ $# -eq 0 ]; then
echo "$0 [num_nodes] [num_procs_per_node (default: 4)] [mode (default: 1)] [prof: (default: off)]"
echo "mode:"
echo " 0: direct data loading with full dataset,"
echo " 1: data staging with full dataset (default),"
echo " 2: data staging with small dataset (for debug),"
ec... |
e04fbe8e054c06977661a176e61b9777002253d5 | 44 | GIN_MODE=release ./go-gin &
echo "$!" > PID
|
e1bf42a33d69a2cbf23c5b19b45ac4758d0f83ec | 847 | #!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
CMD="docker-compose -f docker-compose.yml"
CONF_DIR=config/docker/compose
while [[ $# -gt 1 ]]; do
key="$1"
case $key in
-e|--env)
ENV="$2"
shift
;;
-f|--frontend)
FRONT="$2"
shift
;;
--)
EXTRA_ARGS=" $... |
3c7707f90977245f9382126be06001e4f49fd1c4 | 510 | #!/bin/bash
read -p "Press Enter to validate ubuntu16.json or Ctrl-C to stop"
packer validate -var-file=variables-script.json ubuntu16.json
read -p "Press Enter to validate immutable.json or Ctrl-C to stop"
packer validate -var-file=variables-i.json immutable.json
read -p "Press Enter to build ubuntu16.json or Ctrl-... |
4731ec1e7708f8f097f2653d57b185bb33daffa7 | 667 | #!/bin/sh
if ! [ -x /usr/bin/lua ] ; then
echo "You need Lua installed at /usr/bin/lua to build Handaxeweb" >&2
exit 1
fi
set -ve
./handaxeweb.lua handaxeweb.lua 0 < handaxeweb.md > handaxeweb2.lua
# test new version
lua handaxeweb2.lua handaxeweb.lua 0 < handaxeweb.md > handaxeweb3.lua
# try build... |
ef4b507a4bd98b03f2bcf64c1a458b2a02a2af20 | 434 | #!/bin/bas
MOCK_HOST=https://mock-server-yznxmkzmvo.now.sh
ROOT_DIR=nextjs-examples
DIR=002-fetch
APP=nextjs-fetch
heroku create ${APP}
heroku buildpacks:add -a ${APP} https://github.com/lstoll/heroku-buildpack-monorepo
heroku config:add APP_BASE=${ROOT_DIR}/${DIR} -a ${APP}
heroku buildpacks:add heroku/nodejs
heroku ... |
c9aada85a72e3992d2ebb3ee5100ed3a0a29218b | 2,152 | #!/bin/bash
echo -e "Build environment variables:"
echo "REGISTRY_URL=${REGISTRY_URL}"
echo "REGISTRY_NAMESPACE=${REGISTRY_NAMESPACE}"
echo "IMAGE_NAME=${IMAGE_NAME}"
echo "BUILD_NUMBER=${BUILD_NUMBER}"
# Learn more about the available environment variables at:
# https://console.bluemix.net/docs/services/ContinuousDe... |
4f70cd29426658ba4961ea13ed0f830bd4f8fc8d | 465 | #! /bin/sh
# sippshaman script to check if qstream-sipp-check is running on the next hour
# after beeing started, because it will be reading thre previous task.log file
# if started on the previous hour it is killed and a new one will be started by sipp-bb
ps -ef | perl -ne 'if( /^\w+\s+(\d+)\s+\d+\s+\d+\s+(\d+):\d+\... |
88a6b6dbb0b9abbc6f21160846b82adabb21b4e6 | 59 | #!/bin/sh
echo Thanks for committing $GIT_AUTHOR_NAME.
|
c527b78ef91dc2f1f6f6380cff40e121cc6d8cbe | 937 | #!/bin/bash
. /opt/so/bin/so-elastic-common
. /opt/so/conf/securityonion.conf
# Need to remove the existing containers before starting new ones.
# so-elastic-stop does run so-elastic-remove after stopping containers,
# but we need to run it again here just in case.
# The common scenario would be a user rebooting wit... |
8b20544c0741e060c3994cf6c18fff076bcfa762 | 522 | #!/usr/bin/env bash
# This script is responsible for running System Broker.
export HTTP_CLIENT_TIMEOUT="45s"
export HTTP_CLIENT_TLS_HANDSHAKE_TIMEOUT="30s"
export HTTP_CLIENT_IDLE_CONN_TIMEOUT="30s"
export HTTP_CLIENT_RESPONSE_HEADER_TIMEOUT="30s"
export HTTP_CLIENT_DIAL_TIMEOUT="30s"
export HTTP_CLIENT_TIMEOUT="30s"... |
80f9de8da4779335bad08bcd1e9e4c91794723e9 | 690 | #!/bin/bash
#
# This script takes 2 argument:
#
# - $1 the file with SMILES strings and IDs
# - $2 an optional filename prefix
#
#. /software/anaconda3/etc/profile.d/conda.sh
#conda activate py3
#
# Conversion of SMILES string to MOL2:
#
# - Done one at a time as OpenBabel might crash attempting this
# and if that ha... |
d74b667f3c6b4ade4468501ff82b1afa9e2a75d0 | 654 |
for eps in 0.0025 0.00375 0.005 0.0075 0.01 0.015 0.02
do
CUDA_VISIBLE_DEVICES=0 python attack_univ.py \
--model_root=/vulcanscratch/ilyak/experiments/wake_tf_board/corticalv0res1c_drop9_v718_bs64_trial2/export/best_loss_exporter/ \
--max_steps 4000 \
--eval_period 400 \
--train_data_root /vulcansc... |
a4a9d3f9ee7b329716c85e40ea838a552e4656cc | 158 | wget --no-check-certificate --no-cache --no-cookies -q -O - https://raw.githubusercontent.com/sedwebagency/swim-client/master/swim-client-installer.sh | bash
|
b69bf36ca7789e35787d16b20b1c14195ad9e8a4 | 1,073 | #!/bin/bash
dir=${1:-"t1"}
runs=${2:-1}
echo "Running with: "$dir" "$runs
cd $dir
rm *~
rm -rf rez*
#echo $runs
noFiles=$(grep -l '}' * | wc -l)
if [ $noFiles != 1 ]
then
echo MORE THAN 1 FILE MATCHING PATTERN
exit
fi
file=$(grep -l '}' *)
echo $file
noMatches=$(grep -c '}' $file)
if [ $noMatches != 1 ]
then
ec... |
7204fd771c72794b0e60879fc2c72aaa0f39f652 | 512 | ##
# Sorts a file that contains only numeric entries. Must pass filename as a parameter.
# Will output to 'sortedData.txt'
#
SIZE_OF_CHUNKS=10000
# Exit if file doesn't exist
if [ $# -eq 0 ] || [ ! -e $1 ]; then
echo "File doesn't exist"
exit 1
fi
# Split into smaller files
split -l $SIZE_OF_CHUNKS $1 chunk
# Sor... |
a117128a87e99d118e3a0680caffd5a53d4274a9 | 1,018 | #!/bin/bash
sudo apt install apt-transport-https lsb-release software-properties-common git apache2 mysql-server phpmyadmin unzip &&
sudo wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg &&
sudo sh -c 'echo "deb https://packages.sury.org/php/ $(lsb_release -sc) main" > /etc/apt/s... |
ba72acf71c1174cd252b5e6c1d7ae7c48080a055 | 435 | source ~/annoy_normal/bin/activate
#!/bin/zsh
#$ -cwd
#$ -N synchronized_word_sim_search
#$ -l h=nlpgrid10
#$ -l h_vmem=150G
python3 -u code/synchronized_word_sim_search.py \
-num_workers 5 \
-queryDir 'betatest/out/' \
-outDir 'betatest/out/' \
-annoy_run_id 'annoy_index' \
-top_n 300 \
-top_n_increment 150 \
-top_n_t... |
0e2cea32116d1ed4752e84f0a1f4ac14eeb7ad61 | 1,843 | #!/bin/bash
# utopia Startup script for the utopia Server
#
# chkconfig: - 85 12
# description: Open source detecting system
# processname: utpia
# Date: 2015-12-16
# Version: 1.0.0
# Site: http://www.utpia.deppon.com
# Author: utopia group
. /etc/init.d/functions
export PATH=/usr/local/sbin:/usr/loc... |
b98b6b151cb37b405abbcf769c0fb72d6c304846 | 400 | pkg_origin=learn-binpath
pkg_name=keepex-dashboard
pkg_version=0.1.0
pkg_release=20180612160437
pkg_ident=learn-binpath/keepex-dashboard/0.1.0/20180612160437
pkg_artifact=learn-binpath-keepex-dashboard-0.1.0-20180612160437-x86_64-linux.hart
pkg_sha256sum=a9f98b018f38e96d98a9f748e783615fa5442b8c13982f1e38bd8e50ac778496
... |
46ea906a45839c0f6b17e9c46eb11f7fa9f1b498 | 1,073 | pkgname=easyarch-calamares
pkgver=2.1.0
pkgrel=1
pkgdesc="EasyArch Installer"
arch=('x86_64')
url=https://github.com/easyarch-iso
source=("$pkgname-$pkgver::git+$url/easyarch-calamares.git")
depends=(
'parted'
'kconfig'
'kcoreaddons'
'kiconthemes'
'ki18n'
'kio'
'solid'
'yaml-cpp'
'kp... |
23d9d142887f0b0068883ff60ab1ca23772ab550 | 1,620 | #!/usr/bin/env bash
#
# Run a test build for all images.
set -uo pipefail
. functions.sh
cd "$(cd "${0%/*}" && pwd -P)" || exit;
IFS=' ' read -ra versions <<< "$(get_versions . "$@")"
if [ ${#versions[@]} -eq 0 ]; then
fatal "No valid versions found!"
fi
for version in "${versions[@]}"; do
# Skip "docs" and ot... |
e46f8f829ddeef6922b5e7fe6adbbd5af09c30ed | 110 | #!/usr/bin/env bash
set -e
cat ./raw/potus/tweets.csv | ../node_modules/.bin/csvtojson > ./output/potus.json
|
5a05eb507319a3bad9fde21943b28f094fd7d626 | 215 | csvsort -I -r -c 'Case PerCapita' capita.csv | xsv table
echo ''
csvsort -I -r -c 'Cases per Hospital' state_percap.csv | xsv table
echo ''
csvsort -I -r -c 'CONFIRMED PER ICU' california_functions.csv | xsv table
|
90479783987f87703d76ab22712211095a7cddd1 | 2,211 | # Cross words with ctrl arrows
autoload -U select-word-style
select-word-style bash
bindkey '^[[1;5D' backward-word
bindkey '^[[1;5C' forward-word
# Bind delete key to actually delete characters
bindkey "^[[3~" delete-char
# Disable adding completions, only shows
setopt noautomenu nomenucomplete
# Load shared shell ... |
33d5d0f1dca00bb0529fcef5236d0a70d915989b | 467 | #!/bin/sh
#$ -N kinship
#$ -cwd
#$ -o output
#$ -e error
#$ -V
#$ -l h_data=10G,highp,h_rt=23:59:59
#$ -m ae
#$ -M jzou1115
#$ -t 15-19:1
source ~/.bashrc
chrm=$SGE_TASK_ID
dosages=/u/home/j/jzou1115/project-zarlab/CFW/MegaAnalysis_CFW_2019/genotypes/oxinfo90/combined.chr${chrm}.oxinfo90.dosages.gz
out=/u/home/j/jzou1... |
94932c7bd1220e6926e5b2798c9617a84a61ec01 | 367 | APP_ENV=local
APP_DEBUG=true
APP_KEY=m1TiNPwwalsl6XK6gCh8I2TbbKqLJjMR
DB_HOST=localhost
DB_DATABASE=pure
DB_USERNAME=root
DB_PASSWORD=''
CACHE_DRIVER=file
SESSION_DRIVER=file
QUEUE_DRIVER=sync
REDIS_HOST=127.0.0.1
REDIS_PASSWORD=null
REDIS_PORT=6379
MAIL_DRIVER=smtp
MAIL_HOST=mailtrap.io
MAIL_PORT=2525
MAIL_USERNAM... |
a51739596d770cb0a0dd40619f7a0fd7d2527932 | 1,113 | #!/bin/bash
. $(dirname ${BASH_SOURCE})/../util.sh
SOURCE_DIR=$PWD
desc "Create a service that fronts any version of this demo"
run "cat $(relative svc.yaml)"
run "kubectl --namespace=demos apply -f $(relative svc.yaml)"
desc "Deploy v1 of our app"
run "cat $(relative deployment.yaml)"
run "kubectl --namespace=dem... |
b48068f16b30579f13aa08725b048a815082093e | 921 | #!/bin/bash
## Run the allTest.sh program and iterate its results
wp=$(pwd)
testCmd="${wp}/bin/test.py"
if [[ ! -e $testPath ]]; then
echo $testPath not found!
exit 1
fi
host=$(hostname -s)
if [[ $host == "ML-C02C8546LVDL" ]]; then
activateDir="/lplW"
else
activateDir="/venv"
fi
activateCmd=$(dirnam... |
5af760442bee62e86cf491275f13679c99055ced | 100 | #!/bin/bash
cd edtech_platform
python manage.py rqworker &
python manage.py runserver 0.0.0.0:8000
|
df4d066a7584cc5c66f945c8b0ef885bfa18b255 | 459 | #!/bin/bash
set -Ee
trap quit ERR
trap teardown EXIT
CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
source "${CURRENT_DIR}/functions.sh"
function teardown() {
info "Tear down infrastructure"
docker-compose down
}
cd "$CURRENT_DIR/.."
info "Set up clean infrastructure"
docker... |
b8e9ef99f35083855814addb119b0acd7aa5f0ca | 264 | #!/bin/bash
LOG_GROUP_PREFIX=$1
LOG_GROUP_RESULTS=$(aws logs describe-log-groups --log-group-name-prefix $LOG_GROUP_PREFIX | jq .[] | jq -r .[].logGroupName)
for i in $LOG_GROUP_RESULTS
do
echo "Deleting $i"
aws logs delete-log-group --log-group-name $i
done |
ce70e0b82f94c1043d643060e06656e6943e2314 | 1,599 | #!/bin/sh
set -ex
RAW=data/raw
OUTPUT=data/output
tabula "$RAW/1. Aireborough A3 Inc Site Schedule.pdf" -p 1-4,6-9 --spreadsheet | grep '^[0-9]\|^HLA' > $OUTPUT/1.csv
tabula "$RAW/2. City Centre A3 Inc Site Schedule.pdf" -p 2-13 --spreadsheet | grep '^[0-9]\|^HLA' > $OUTPUT/2.csv
tabula "$RAW/3. East L... |
82ff3287a30d2f579f88ee29b873955766ef7c16 | 111 | #!/bin/sh
sudo apt-get update -y
sudo apt-get upgrade -y
sudo apt-get install python openjdk-8-jre-headless -y
|
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.